<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#ffffff"
    android:orientation="vertical"
    tools:ignore="SpUsage">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_marginLeft="@dimen/seekbarsize"
        android:layout_marginRight="@dimen/seekbarsize"
        android:layout_marginBottom="@dimen/seekbarsize"
        android:layout_weight="0.6"
        android:background="@color/material_white"
        android:gravity="center"
        android:orientation="vertical">

        <com.cygnusa.hyperm.slider.SliderLayout
            android:id="@+id/slider"
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:gravity="center" />

        <com.cygnusa.hyperm.slider.Indicators.PagerIndicator
            android:id="@+id/custom_indicator"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/seekbarsize"
            android:gravity="center"
            app:selected_color="@color/bg_color"
            app:selected_height="@dimen/seekbarsize"
            app:selected_width="@dimen/seekbarsize"
            app:shape="oval"
            app:unselected_color="@color/material_grey500"
            app:unselected_height="@dimen/seekbarsize"
            app:unselected_width="@dimen/seekbarsize" />
    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1"
        android:minWidth="120dp">

        <LinearLayout
            android:id="@+id/menuLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/LinearZone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/textSizeSmall"
                android:layout_marginTop="@dimen/textSizeSmall"
                android:layout_marginRight="@dimen/textSizeSmall"
                android:layout_marginBottom="@dimen/seekbarsize_small"
                android:layout_weight="1"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/seekbarsize_small"
                    android:text="Zonal Manager"
                    android:textAllCaps="true"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeToSmall"
                    android:textStyle="bold" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="33dp"
                    android:layout_marginTop="@dimen/seekbarsize_small"
                    android:elevation="@dimen/seekbarsize_small">


                    <Spinner
                        android:id="@+id/spinZone"
                        android:layout_width="match_parent"
                        android:layout_height="33dp"
                        android:background="@drawable/spinner_border"
                        android:paddingLeft="@dimen/seekbarsize_small"
                        android:paddingTop="@dimen/seekbarsize_small"
                        android:paddingRight="@dimen/textSize"
                        android:paddingBottom="@dimen/seekbarsize_small" />

                    <ImageView
                        android:id="@+id/imgZone"
                        android:layout_width="@dimen/textSize"
                        android:layout_height="@dimen/textSizeLarge"
                        android:layout_gravity="right|center"
                        android:layout_marginRight="@dimen/seekbarsize"
                        android:src="@mipmap/dropdown" />
                </FrameLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/textSizeSmall"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/LinearRegion"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="@dimen/seekbarsize_small"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/seekbarsize_small"
                        android:text="Regional Manager"
                        android:textAllCaps="true"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeToSmall"
                        android:textStyle="bold" />

                    <FrameLayout
                        android:layout_width="match_parent"
                        android:layout_height="33dp"
                        android:layout_marginTop="@dimen/seekbarsize_small"
                        android:elevation="@dimen/seekbarsize_small">


                        <Spinner
                            android:id="@+id/spinRegion"
                            android:layout_width="match_parent"
                            android:layout_height="33dp"
                            android:background="@drawable/spinner_border"
                            android:paddingLeft="@dimen/seekbarsize_small"
                            android:paddingTop="@dimen/seekbarsize_small"
                            android:paddingRight="@dimen/textSize"
                            android:paddingBottom="@dimen/seekbarsize_small" />

                        <ImageView
                            android:id="@+id/imgRegion"
                            android:layout_width="@dimen/textSize"
                            android:layout_height="@dimen/textSizeLarge"
                            android:layout_gravity="right|center"
                            android:layout_marginRight="@dimen/seekbarsize"
                            android:src="@mipmap/dropdown" />
                    </FrameLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/LinearArea"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/seekbarsize_small"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/seekbarsize_small"
                        android:text="Area Manager"
                        android:textAllCaps="true"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeToSmall"
                        android:textStyle="bold" />

                    <FrameLayout
                        android:layout_width="match_parent"
                        android:layout_height="33dp"
                        android:layout_marginTop="@dimen/seekbarsize_small"
                        android:elevation="@dimen/seekbarsize_small">


                        <Spinner
                            android:id="@+id/spinArea"
                            android:layout_width="match_parent"
                            android:layout_height="33dp"
                            android:background="@drawable/spinner_border"
                            android:paddingLeft="@dimen/seekbarsize_small"
                            android:paddingTop="@dimen/seekbarsize_small"
                            android:paddingRight="@dimen/textSize"
                            android:paddingBottom="@dimen/seekbarsize_small" />

                        <ImageView
                            android:id="@+id/imgArea"
                            android:layout_width="@dimen/textSize"
                            android:layout_height="@dimen/textSizeLarge"
                            android:layout_gravity="right|center"
                            android:layout_marginRight="@dimen/seekbarsize"
                            android:src="@mipmap/dropdown" />
                    </FrameLayout>


                </LinearLayout>
            </LinearLayout>

            <TextView
                android:id="@+id/salesHead"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/textSizeSmall"
                android:layout_marginRight="@dimen/textSizeSmall"
                android:text="SALES"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall"
                android:textStyle="bold" />

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:layout_marginLeft="@dimen/seekbarsize"
                android:layout_marginRight="@dimen/seekbarsize"
                android:layout_marginBottom="@dimen/seekbarsize"
                android:layout_weight="0.8"
                app:cardBackgroundColor="@color/material_white"
                app:cardCornerRadius="4dp"
                app:cardElevation="4dp"
                app:cardMaxElevation="4dp"
                app:cardUseCompatPadding="true">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/targetSalesLayout"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:baselineAligned="false"
                        android:orientation="horizontal">

                        <FrameLayout
                            android:layout_width="0dip"
                            android:layout_height="match_parent"
                            android:layout_weight="0.8">

                            <com.budiyev.android.circularprogressbar.CircularProgressBar
                                android:id="@+id/progress_bar"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_margin="@dimen/seekbarsize_small"
                                app:animateProgress="true"
                                app:backgroundStrokeColor="#330f2e42"
                                app:backgroundStrokeWidth="6dp"
                                app:drawBackgroundStroke="true"
                                app:foregroundStrokeCap="butt"
                                app:foregroundStrokeColor="#0f2e42"
                                app:foregroundStrokeWidth="6dp"
                                app:indeterminate="false"
                                app:indeterminateMinimumAngle="45"
                                app:indeterminateRotationAnimationDuration="1200"
                                app:indeterminateSweepAnimationDuration="600"
                                app:maximum="100"

                                app:progressAnimationDuration="100"
                                app:startAngle="270" />

                            <com.cygnusa.hyperm.autofit.AutofitTextView
                                android:id="@+id/progressText"
                                android:layout_width="@dimen/buttonHeight"
                                android:layout_height="@dimen/buttonHeightSmall"
                                android:layout_gravity="center"
                                android:gravity="center"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:textColor="#0f2e42"
                                android:textSize="@dimen/textSize"
                                android:textStyle="bold"
                                app:minTextSize="6sp" />
                        </FrameLayout>

                        <LinearLayout
                            android:layout_width="0dip"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/salesText"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center"
                                android:text="SALES"
                                android:textColor="#0f2e42"
                                android:textSize="@dimen/textSizeToSmall"
                                android:textStyle="bold" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/salesText1"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center"
                                    android:padding="@dimen/seekbarsize_small"
                                    android:text="Performance"
                                    android:textAllCaps="true"
                                    android:textColor="#0f2e42"
                                    android:textSize="@dimen/textSizeToSmall"
                                    android:textStyle="bold" />

                                <TextView
                                    android:id="@+id/salesText3"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:gravity="center|left"
                                    android:padding="2dp"
                                    android:textColor="#0f2e42"
                                    android:textSize="@dimen/seekbarsize"
                                    android:textStyle="italic" />
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>

                    <TextView
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/seekbarsize_small"
                        android:layout_marginTop="@dimen/seekbarsize"
                        android:layout_marginRight="@dimen/seekbarsize_small"
                        android:layout_marginBottom="@dimen/seekbarsize"
                        android:background="@color/uvv_gray" />

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="0.5"
                        android:baselineAligned="false"
                        android:orientation="vertical">

                        <NumberPicker
                            android:id="@+id/extendedDate"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="@dimen/seekbarsize_small"
                            android:layout_marginRight="@dimen/seekbarsize_small"
                            android:background="@color/material_white"
                            android:descendantFocusability="blocksDescendants"
                            android:theme="@style/AppTheme.Picker" />
                    </LinearLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:weightSum="2">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/textSizeSmall"
                    android:layout_marginRight="@dimen/textSizeSmall"
                    android:layout_weight="1"
                    android:text="CERTIFIED DSE"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeToSmall"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/txt_total_dse"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center|end"
                    android:layout_marginLeft="@dimen/textSizeSmall"
                    android:layout_marginRight="@dimen/textSizeSmall"
                    android:layout_weight="1"
                    android:gravity="end"
                    android:text="Total DSE : 11/11"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeToSmall"
                    android:textStyle="normal" />
            </LinearLayout>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="140dip"
                android:layout_marginLeft="@dimen/seekbarsize"
                android:layout_marginRight="@dimen/seekbarsize"
                android:layout_marginBottom="@dimen/seekbarsize"
                android:minHeight="@dimen/timerSize"
                app:cardBackgroundColor="@color/material_white"
                app:cardCornerRadius="4dp"
                app:cardElevation="4dp"
                app:cardMaxElevation="4dp"
                app:cardUseCompatPadding="true">

                <com.github.mikephil.charting.charts.BarChart
                    android:id="@+id/barChart"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:padding="@dimen/seekbarsize_small" />

                <View
                    android:id="@+id/barchartView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:padding="@dimen/seekbarsize" />

            </androidx.cardview.widget.CardView>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/textSizeSmall"
                android:layout_marginRight="@dimen/textSizeSmall"
                android:text="ASSESSMENT"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall"
                android:textStyle="bold" />

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="240dip"
                android:layout_marginStart="4dp"
                android:layout_marginLeft="@dimen/seekbarsize"
                android:layout_marginRight="@dimen/seekbarsize"
                android:layout_marginBottom="@dimen/seekbarsize"
                app:cardBackgroundColor="@color/material_white"
                app:cardCornerRadius="4dp"
                app:cardElevation="4dp"
                app:cardMaxElevation="4dp"
                app:cardUseCompatPadding="true">

                <com.github.mikephil.charting.charts.PieChart
                    android:id="@+id/pieChart"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:padding="@dimen/seekbarsize" />

                <View
                    android:id="@+id/piechartView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="4dp"
                    android:background="@null"
                    android:padding="@dimen/seekbarsize" />

            </androidx.cardview.widget.CardView>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/textSizeSmall"
                android:layout_marginRight="@dimen/textSizeSmall"
                android:text="RANKING"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall"
                android:textStyle="bold" />

            <androidx.cardview.widget.CardView
                android:id="@+id/hoRankingCard"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/seekbarsize"
                android:layout_marginRight="@dimen/seekbarsize"
                android:layout_marginBottom="@dimen/seekbarsize"
                android:minHeight="@dimen/timerSize"
                app:cardBackgroundColor="@color/material_white"
                app:cardCornerRadius="4dp"
                app:cardElevation="4dp"
                app:cardMaxElevation="4dp"
                app:cardUseCompatPadding="true">

                <LinearLayout
                    android:id="@+id/hoRanking"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal"
                    android:padding="@dimen/seekbarsize">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center|top"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/timerSize"
                            android:contentDescription="@string/app_name"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/team_ranking" />
                    </LinearLayout>

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="Ranking"
                        android:textColor="#000000"
                        android:textSize="@dimen/textSizeSmall"
                        android:visibility="gone" />
                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/amRankingCard"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/seekbarsize"
                android:layout_marginRight="@dimen/seekbarsize"
                android:layout_marginBottom="@dimen/seekbarsize"
                android:minHeight="@dimen/timerSize"
                app:cardBackgroundColor="@color/material_white"
                app:cardCornerRadius="4dp"
                app:cardElevation="4dp"
                app:cardMaxElevation="4dp"
                app:cardUseCompatPadding="true">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/salesView"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:padding="@dimen/seekbarsize">

                        <TextView
                            android:id="@+id/salesTitle"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/seekbarsize"
                            android:layout_marginBottom="@dimen/seekbarsize"
                            android:gravity="center"
                            android:text="My Ranking"
                            android:textColor="#000000"
                            android:textSize="@dimen/textSizeSmall" />

                        <LinearLayout
                            android:id="@+id/am_sales"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center|top"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/ranking_sales"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/timerSize"
                                android:scaleType="fitCenter"
                                android:src="@mipmap/my_ranking" />

                        </LinearLayout>
                    </LinearLayout>

                    <TextView

                        android:layout_width="2dip"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/textSizeSmall"
                        android:background="@color/grey"
                        android:gravity="center"
                        android:padding="@dimen/seekbarsize_small"
                        android:textSize="@dimen/textSizeToSmall"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:id="@+id/assessmentView"
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:padding="@dimen/seekbarsize">

                        <TextView
                            android:id="@+id/assessmentTitle"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/seekbarsize"
                            android:layout_marginBottom="@dimen/seekbarsize"
                            android:gravity="center"
                            android:text="Team Ranking"
                            android:textColor="#000000"
                            android:textSize="@dimen/textSizeSmall" />

                        <LinearLayout
                            android:id="@+id/am_assessment"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center|top"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/ranking_assessment"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/timerSize"
                                android:contentDescription="@string/app_name"
                                android:scaleType="fitCenter"
                                android:src="@mipmap/team_ranking" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

            </androidx.cardview.widget.CardView>

        </LinearLayout>
    </ScrollView>
</LinearLayout>
